Skip to main content
POST
/
pos
/
{posSystemId}
/
startInteraction
Start POS Interaction
curl --request POST \
  --url https://public-api-demo.clearline.me/pos/{posSystemId}/startInteraction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json-patch+json' \
  --data '
{
  "terminalId": "6orMqUyq",
  "posLocationId": "6orMqUyq2Hg3tP"
}
'
{
  "data": {
    "terminalId": "<string>",
    "posLocationId": "<string>",
    "sessionId": "<string>",
    "posStatus": "Accepted"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clearline.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Enter JWT Bearer token only in the text input below.

Path Parameters

posSystemId
string
required

Body

Pos terminal data

terminalId
string | null

Terminal identifier

posLocationId
string | null

Location POS identifier

posCompanyId
string | null

Company POS identifier

Response

Success

data
object

Start interaction response